Skip to main content
`Ctrl`+`K`

# TaoSetVariableBounds

Sets the upper and lower bounds for the optimization problem

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetVariableBounds(Tao tao, Vec XL, Vec XU)

Logically Collective

## Input Parameters

- tao - the `Tao` context

- XL - vector of lower bounds

- XU - vector of upper bounds

## See Also

TAO: Optimization Solvers, `Tao`, `TaoSetObjective()`, `TaoSetHessian()`, `TaoSetObjectiveAndGradient()`, `TaoGetVariableBounds()`

## Level

beginner

## Location

src/tao/interface/taosolver_bounds.c

## Examples

src/tao/bound/tutorials/jbearing2.c
src/tao/constrained/tutorials/ex1.c
src/tao/unconstrained/tutorials/eptorsion3.c
src/tao/complementarity/tutorials/minsurf1.c
src/tao/leastsquares/tutorials/tomography.c
src/tao/tutorials/ex3.c
src/tao/bound/tutorials/plate2.c
src/tao/constrained/tutorials/tomographyADMM.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages